Get Verification Request
Get a single verification request by its ID.
GET
/
messaging_tollfree
/
verification
/
requests
/
{id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const verificationRequestStatus = await client.messagingTollfree.verification.requests.retrieve(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);
console.log(verificationRequestStatus.id);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
verification_request_status = client.messaging_tollfree.verification.requests.retrieve(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(verification_request_status.id)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
verificationRequestStatus, err := client.MessagingTollfree.Verification.Requests.Get(context.TODO(), "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", verificationRequestStatus.ID)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.RequestRetrieveParams;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.VerificationRequestStatus;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
VerificationRequestStatus verificationRequestStatus = client.messagingTollfree().verification().requests().retrieve("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
verification_request_status = telnyx.messaging_tollfree.verification.requests.retrieve("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
puts(verification_request_status)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$verificationRequestStatus = $client
->messagingTollfree
->verification
->requests
->retrieve('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
var_dump($verificationRequestStatus);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx messaging-tollfree:verification:requests retrieve \
--api-key 'My API Key' \
--id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26ecurl --request GET \
--url https://api.telnyx.com/v2/messaging_tollfree/verification/requests/{id} \
--header 'Authorization: Bearer <token>'{
"businessName": "Telnyx LLC",
"corporateWebsite": "http://example.com",
"businessAddr1": "600 Congress Avenue",
"businessCity": "Austin",
"businessState": "Texas",
"businessZip": "78701",
"businessContactFirstName": "John",
"businessContactLastName": "Doe",
"businessContactEmail": "email@example.com",
"businessContactPhone": "+18889809750",
"messageVolume": "100,000",
"phoneNumbers": [
{
"phoneNumber": "+18773554398"
},
{
"phoneNumber": "+18773554399"
}
],
"useCase": "2FA",
"useCaseSummary": "This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal",
"productionMessageContent": "Your Telnyx OTP is XXXX",
"optInWorkflow": "User signs into the Telnyx portal, enters number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset",
"optInWorkflowImageURLs": [
{
"url": "https://telnyx.com/sign-up"
},
{
"url": "https://telnyx.com/company/data-privacy"
}
],
"additionalInformation": "This is for security purposes, blah blah blah",
"id": "eaba9f52-164e-58e0-b002-4f668e18b7ed",
"verificationStatus": "Waiting For Customer",
"businessAddr2": "14th Floor",
"isvReseller": "Yes",
"webhookUrl": "http://example-webhook.com",
"businessRegistrationNumber": "12-3456789",
"businessRegistrationType": "EIN",
"businessRegistrationCountry": "US",
"doingBusinessAs": "Acme Services",
"entityType": "PRIVATE_PROFIT",
"optInConfirmationResponse": "You have successfully opted in to receive messages from Acme Corp",
"helpMessageResponse": "Reply HELP for assistance or STOP to unsubscribe. Contact: support@example.com",
"privacyPolicyURL": "https://example.com/privacy",
"termsAndConditionURL": "https://example.com/terms",
"ageGatedContent": false,
"optInKeywords": "START, YES, SUBSCRIBE",
"campaignVerifyAuthorizationToken": "cv_token_abc123xyz",
"reason": "Unfortunately, we have to cancel this request as we do not support non tollfree US numbers.",
"createdAt": "2024-01-23T18:10:02.574Z",
"updatedAt": "2024-01-23T18:10:02.574Z"
}{
"errors": [
{
"code": "string",
"title": "string",
"detail": "string",
"source": {
"pointer": "string",
"parameter": "string"
}
}
]
}Authorizations
Response
Successful Response
A verification request and its status, suitable for returning to users
Tollfree usecase categories
Available options:
2FA, App Notifications, Appointments, Auctions, Auto Repair Services, Bank Transfers, Billing, Booking Confirmations, Business Updates, COVID-19 Alerts, Career Training, Chatbot, Conversational / Alerts, Courier Services & Deliveries, Emergency Alerts, Events & Planning, Financial Services, Fraud Alerts, Fundraising, General Marketing, General School Updates, HR / Staffing, Healthcare Alerts, Housing Community Updates, Insurance Services, Job Dispatch, Legal Services, Mixed, Motivational Reminders, Notary Notifications, Order Notifications, Political, Public Works, Real Estate Services, Religious Services, Repair and Diagnostics Alerts, Rewards Program, Surveys, System Alerts, Voting Reminders, Waitlist Alerts, Webinar Reminders, Workshop Alerts Example:
"2FA"
Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const verificationRequestStatus = await client.messagingTollfree.verification.requests.retrieve(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);
console.log(verificationRequestStatus.id);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
verification_request_status = client.messaging_tollfree.verification.requests.retrieve(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(verification_request_status.id)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
verificationRequestStatus, err := client.MessagingTollfree.Verification.Requests.Get(context.TODO(), "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", verificationRequestStatus.ID)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.RequestRetrieveParams;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.VerificationRequestStatus;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
VerificationRequestStatus verificationRequestStatus = client.messagingTollfree().verification().requests().retrieve("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
verification_request_status = telnyx.messaging_tollfree.verification.requests.retrieve("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
puts(verification_request_status)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$verificationRequestStatus = $client
->messagingTollfree
->verification
->requests
->retrieve('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
var_dump($verificationRequestStatus);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx messaging-tollfree:verification:requests retrieve \
--api-key 'My API Key' \
--id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26ecurl --request GET \
--url https://api.telnyx.com/v2/messaging_tollfree/verification/requests/{id} \
--header 'Authorization: Bearer <token>'{
"businessName": "Telnyx LLC",
"corporateWebsite": "http://example.com",
"businessAddr1": "600 Congress Avenue",
"businessCity": "Austin",
"businessState": "Texas",
"businessZip": "78701",
"businessContactFirstName": "John",
"businessContactLastName": "Doe",
"businessContactEmail": "email@example.com",
"businessContactPhone": "+18889809750",
"messageVolume": "100,000",
"phoneNumbers": [
{
"phoneNumber": "+18773554398"
},
{
"phoneNumber": "+18773554399"
}
],
"useCase": "2FA",
"useCaseSummary": "This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal",
"productionMessageContent": "Your Telnyx OTP is XXXX",
"optInWorkflow": "User signs into the Telnyx portal, enters number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset",
"optInWorkflowImageURLs": [
{
"url": "https://telnyx.com/sign-up"
},
{
"url": "https://telnyx.com/company/data-privacy"
}
],
"additionalInformation": "This is for security purposes, blah blah blah",
"id": "eaba9f52-164e-58e0-b002-4f668e18b7ed",
"verificationStatus": "Waiting For Customer",
"businessAddr2": "14th Floor",
"isvReseller": "Yes",
"webhookUrl": "http://example-webhook.com",
"businessRegistrationNumber": "12-3456789",
"businessRegistrationType": "EIN",
"businessRegistrationCountry": "US",
"doingBusinessAs": "Acme Services",
"entityType": "PRIVATE_PROFIT",
"optInConfirmationResponse": "You have successfully opted in to receive messages from Acme Corp",
"helpMessageResponse": "Reply HELP for assistance or STOP to unsubscribe. Contact: support@example.com",
"privacyPolicyURL": "https://example.com/privacy",
"termsAndConditionURL": "https://example.com/terms",
"ageGatedContent": false,
"optInKeywords": "START, YES, SUBSCRIBE",
"campaignVerifyAuthorizationToken": "cv_token_abc123xyz",
"reason": "Unfortunately, we have to cancel this request as we do not support non tollfree US numbers.",
"createdAt": "2024-01-23T18:10:02.574Z",
"updatedAt": "2024-01-23T18:10:02.574Z"
}{
"errors": [
{
"code": "string",
"title": "string",
"detail": "string",
"source": {
"pointer": "string",
"parameter": "string"
}
}
]
}